summaryrefslogtreecommitdiffstats
path: root/libraries/gst-python
diff options
context:
space:
mode:
author Thiago Coutinho <thiagocoutinho1@gmail.com>2010-05-11 22:54:01 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:54:01 +0200
commit8db2a2a89a3f022ec7b1d38cfa2f4499c926a3a5 (patch)
treef4d51297d50185ec39a437723c7e4e8045e6e6fa /libraries/gst-python
parent6b865b408f926aebab05aa35eeaa4f2a58c7fe9b (diff)
downloadslackbuilds-8db2a2a89a3f022ec7b1d38cfa2f4499c926a3a5.tar.gz
slackbuilds-8db2a2a89a3f022ec7b1d38cfa2f4499c926a3a5.tar.xz
libraries/gst-python: Added to 12.1 repository
Diffstat (limited to 'libraries/gst-python')
-rw-r--r--libraries/gst-python/README8
-rw-r--r--libraries/gst-python/gst-python.SlackBuild70
-rw-r--r--libraries/gst-python/gst-python.info8
-rw-r--r--libraries/gst-python/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/gst-python/README b/libraries/gst-python/README
new file mode 100644
index 0000000000..520aa80218
--- /dev/null
+++ b/libraries/gst-python/README
@@ -0,0 +1,8 @@
+GStreamer python bindings. You can find API docs for the Python
+bindings at http://pygstdocs.berlios.de/.
+
+GStreamer and modules are released under the LGPL.
+
+gst-python, requires gstreamer, liboil and gst-plugins-base. Build
+scripts for these are available at SlackBuilds.org
+
diff --git a/libraries/gst-python/gst-python.SlackBuild b/libraries/gst-python/gst-python.SlackBuild
new file mode 100644
index 0000000000..f1e715e7c4
--- /dev/null
+++ b/libraries/gst-python/gst-python.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for gst-python
+# Author: Thiago Coutinho <thiagocoutinho1 at gmail.com>
+
+# Modified by the slackbuilds.org project.
+
+PRGNAM=gst-python
+VERSION=0.10.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+# Exit on most errors
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gst-python/gst-python.info b/libraries/gst-python/gst-python.info
new file mode 100644
index 0000000000..56c9ecde7c
--- /dev/null
+++ b/libraries/gst-python/gst-python.info
@@ -0,0 +1,8 @@
+PRGNAM="gst-python"
+VERSION="0.10.12"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-python.html"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-python/gst-python-0.10.12.tar.bz2"
+MD5SUM="e5d39eed5062ab1521abc61a6863f7b3"
+MAINTAINER="Thiago Coutinho"
+EMAIL="thiagocoutinho1@gmail.com"
+APPROVED="Michiel"
diff --git a/libraries/gst-python/slack-desc b/libraries/gst-python/slack-desc
new file mode 100644
index 0000000000..cbb83593bb
--- /dev/null
+++ b/libraries/gst-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+gst-python: gst-python (python bindings)
+gst-python:
+gst-python: Python bindings for the GStreamer multimedia framework.
+gst-python:
+gst-python: http://gstreamer.freedesktop.org/modules/gst-python.html
+gst-python:
+gst-python:
+gst-python:
+gst-python:
+gst-python:
+gst-python: